public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Nick Sarnie" <sarnex@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-emulation/winetricks/
Date: Fri, 27 Aug 2021 14:07:07 +0000 (UTC)	[thread overview]
Message-ID: <1630073142.1bd5d5b89fe2e7e54e3db22e994735ea021dacb6.sarnex@gentoo> (raw)

commit:     1bd5d5b89fe2e7e54e3db22e994735ea021dacb6
Author:     Nick Sarnie <sarnex <AT> gentoo <DOT> org>
AuthorDate: Fri Aug 27 14:04:53 2021 +0000
Commit:     Nick Sarnie <sarnex <AT> gentoo <DOT> org>
CommitDate: Fri Aug 27 14:05:42 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1bd5d5b8

app-emulation/winetricks: Sync with ::wine

Package-Manager: Portage-3.0.22, Repoman-3.0.3
Signed-off-by: Nick Sarnie <sarnex <AT> gentoo.org>

 app-emulation/winetricks/Manifest                  |  1 +
 .../winetricks/winetricks-20210825.ebuild          | 91 ++++++++++++++++++++++
 2 files changed, 92 insertions(+)

diff --git a/app-emulation/winetricks/Manifest b/app-emulation/winetricks/Manifest
index 0e90059e5f1..23eabc5f7da 100644
--- a/app-emulation/winetricks/Manifest
+++ b/app-emulation/winetricks/Manifest
@@ -1,2 +1,3 @@
 DIST winetricks-20210206.tar.gz 690837 BLAKE2B a1d068e9659f6b176873af49994f1e0ca884eaa1ac9b8f5dd6d7abe79a2b8b827a2334efa7862547b17cca5bcfc285ce2d65ac0e5736cddcc777d4df2dbc7af9 SHA512 57f2ce5fe531eb6ee9a578ca565fadf5ef2e6e1379abee640ee9dc0d6000c92ce983c7507002bc6ace613d6d0dd03260ede11f7bf267adf19eb67900a0449f58
+DIST winetricks-20210825.tar.gz 689728 BLAKE2B 32fc9639f215180e03c79d55359c7aa005c005ed6a3a21916de7172dc541994a786b64f8323034b3e43e0619569b39f79dc98830546db1d684badf96cdb898c4 SHA512 b9eb61a0bfe4001cb23f41f3b4707333be81660372347b5e8fe887fe1e2278bd5e2b91e0c5ddd73010652902a8985f0e253792c8769216de397ca75fac8b0c81
 DIST winetricks-gentoo-2012.11.24.tar.bz2 6398 BLAKE2B 54a4502f6e8ef15d21b02c43e3ce599e32d476c2559246064de14cc4ce2243ff11dde681d24c8a7f4913c3d7a10b855bda47e8fb8ecad31e00d839705416be6f SHA512 59c93b73f3a7b2d11aefcde2ff66659ff1de21ad4b5f232f4b60572f3a48b15a6c49f369b1696862bf1b33fde190bf5598945e9536fb41ddec42d8def4d2be2a

diff --git a/app-emulation/winetricks/winetricks-20210825.ebuild b/app-emulation/winetricks/winetricks-20210825.ebuild
new file mode 100644
index 00000000000..89dcbb57c97
--- /dev/null
+++ b/app-emulation/winetricks/winetricks-20210825.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit xdg
+
+if [[ ${PV} == "99999999" ]] ; then
+	EGIT_REPO_URI="https://github.com/Winetricks/${PN}.git"
+	inherit git-r3
+	SRC_URI=""
+else
+	SRC_URI="https://github.com/Winetricks/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64 ~x86"
+fi
+
+wtg="winetricks-gentoo-2012.11.24"
+
+SRC_URI="${SRC_URI}
+	gtk? ( https://dev.gentoo.org/~chiitoo/distfiles/${wtg}.tar.bz2 )
+	kde? ( https://dev.gentoo.org/~chiitoo/distfiles/${wtg}.tar.bz2 )
+"
+
+DESCRIPTION="Easy way to install DLLs needed to work around problems in Wine"
+HOMEPAGE="https://github.com/Winetricks/winetricks https://wiki.winehq.org/Winetricks"
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+IUSE="gtk kde rar test"
+RESTRICT="!test? ( test )"
+
+# dev-util/shellcheck is not available for x86
+RESTRICT+=" x86? ( test )"
+
+BDEPEND="
+	test? (
+		dev-python/bashate
+		dev-util/checkbashisms
+		|| (
+			dev-util/shellcheck-bin
+			dev-util/shellcheck
+		)
+	)
+"
+DEPEND=""
+RDEPEND="${DEPEND}
+	app-arch/cabextract
+	app-arch/p7zip
+	app-arch/unzip
+	net-misc/wget
+	virtual/wine
+	x11-misc/xdg-utils
+	gtk? ( gnome-extra/zenity )
+	kde? ( kde-apps/kdialog )
+	rar? ( app-arch/unrar )
+"
+
+# Test targets include syntax checks only, not the "heavy duty" tests
+# that would require a lot of disk space, as well as network access.
+
+# This uses a non-standard "Wine" category, which is provided by
+# '/etc/xdg/menus/applications-merged/wine.menu' from the
+# 'app-emulation/wine-desktop-common' package.
+# https://bugs.gentoo.org/451552
+QA_DESKTOP_FILE="usr/share/applications/winetricks.desktop"
+
+src_unpack() {
+	if [[ ${PV} == "99999999" ]]; then
+		git-r3_src_unpack
+
+		if use gtk || use kde; then
+			unpack ${wtg}.tar.bz2
+		fi
+
+	else
+		default
+	fi
+}
+
+src_test() {
+	./tests/shell-checks || die "Test(s) failed."
+}
+
+src_install() {
+	default
+
+	if ! use gtk && ! use kde; then
+		rm -r "${ED}"/usr/share/applications || die
+		rm -r "${ED}"/usr/share/icons || die
+	fi
+}


             reply	other threads:[~2021-08-27 14:07 UTC|newest]

Thread overview: 75+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-08-27 14:07 Nick Sarnie [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-07 21:26 [gentoo-commits] repo/gentoo:master commit in: app-emulation/winetricks/ Andreas Sturmlechner
2024-09-07 21:26 Andreas Sturmlechner
2024-06-28 20:33 Jimi Huotari
2024-05-30 15:01 Arthur Zamarin
2024-05-30 15:01 Arthur Zamarin
2024-01-06  0:13 Jimi Huotari
2023-12-16 21:06 Jimi Huotari
2023-05-06  9:49 Arthur Zamarin
2023-05-06  9:49 Arthur Zamarin
2023-02-12 12:42 Jimi Huotari
2023-02-12 12:42 Jimi Huotari
2022-05-23  6:43 Agostino Sarubbo
2022-05-22 20:08 Jakov Smolić
2022-04-13 13:13 Nick Sarnie
2022-04-13 13:13 Nick Sarnie
2021-04-16 21:32 Nick Sarnie
2021-04-11 20:08 Thomas Deutschmann
2021-04-11 11:11 Sam James
2021-03-06 17:40 Nick Sarnie
2021-03-06 17:40 Nick Sarnie
2021-01-18  3:41 Nick Sarnie
2020-11-17  0:42 Nick Sarnie
2020-11-15  1:27 Sam James
2020-11-14  2:16 Thomas Deutschmann
2020-11-14  2:16 Thomas Deutschmann
2020-07-27  4:41 Sam James
2020-07-14  0:34 Nick Sarnie
2020-04-15 23:42 Nick Sarnie
2019-12-25  0:26 Nick Sarnie
2019-12-24 23:33 Nick Sarnie
2019-11-26 23:17 Nick Sarnie
2019-11-26  0:58 Thomas Deutschmann
2019-11-17 11:26 Agostino Sarubbo
2019-09-16 22:20 Nick Sarnie
2019-09-16 22:20 Nick Sarnie
2019-06-21 22:17 Nick Sarnie
2019-05-27 12:50 Nick Sarnie
2019-05-20 11:01 Mikle Kolyada
2019-05-19 15:48 Thomas Deutschmann
2019-03-10 14:45 Nick Sarnie
2019-03-10 14:45 Nick Sarnie
2019-03-10 14:45 Nick Sarnie
2019-03-10 14:45 Nick Sarnie
2019-02-06 23:13 Nick Sarnie
2019-01-27 17:19 Nick Sarnie
2018-08-30  1:34 Austin English
2018-06-03 17:12 Nick Sarnie
2018-05-16 22:08 Nick Sarnie
2018-04-30 22:31 Nick Sarnie
2018-04-30 22:31 Nick Sarnie
2018-01-22 22:51 NP Hardass
2018-01-18 13:54 Mikle Kolyada
2017-09-05 23:50 Austin English
2017-09-05 23:50 Austin English
2017-06-18  5:25 Austin English
2017-06-18  5:25 Austin English
2017-05-17  6:33 Austin English
2017-04-10 17:58 NP Hardass
2017-03-28  6:57 Austin English
2016-07-29  4:48 NP Hardass
2016-07-29  4:48 NP Hardass
2016-07-10  0:48 NP Hardass
2016-07-10  0:48 NP Hardass
2016-05-13  1:50 NP Hardass
2016-05-13  1:50 NP Hardass
2016-03-30 23:12 NP Hardass
2016-03-30 23:12 NP Hardass
2016-03-30 23:12 NP Hardass
2016-01-19  2:04 NP Hardass
2015-11-17  2:12 NP Hardass
2015-11-17  2:12 NP Hardass
2015-11-14  0:26 NP Hardass
2015-11-14  0:26 NP Hardass
2015-09-27 13:44 NP Hardass

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1630073142.1bd5d5b89fe2e7e54e3db22e994735ea021dacb6.sarnex@gentoo \
    --to=sarnex@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox